Subject: [NEXTEL-1] Driving Into The Future

From: [email-masked]
Date: Wed, 28 May 2003 09:21:03 -0400

Driving Into The FutureHigh-tech extras are making new cars smarter.  But are
these gizmos keeping us safe behind the wheel — or just busy?

Link to article in
Time:http://www.time.com/time/magazine/article/0,9171,1101030602-454485,00.html